### Method

# Handy Swipeable switch_child

since: 1.0

#### Declaration [src]

    void
    hdy_swipeable_switch_child (
      HdySwipeable* self,
      guint index,
      gint64 duration
    )

#### Description [src]

Switches to child with index `index`.

See `HdySwipeable::child-switched`.

Available since: 1.0

#### Parameters

`index`

  Type: `guint`

  The index of the child to switch to.

`duration`

  Type: `gint64`

  Animation duration, in milliseconds.